SDL_xinputhaptic_c.h File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_haptic.h"`
`#include "SDL_windowshaptic_c.h"`
Include dependency graph for SDL_xinputhaptic_c.h:

Go to the source code of this file.

## Functions

int | SDL_XINPUT_HapticInit (void)
int | SDL_XINPUT_MaybeAddDevice (const DWORD dwUserid)
int | SDL_XINPUT_MaybeRemoveDevice (const DWORD dwUserid)
int | SDL_XINPUT_HapticOpen (SDL_Haptic *haptic, SDL_hapticlist_item *item)
int | SDL_XINPUT_JoystickSameHaptic (SDL_Haptic *haptic, SDL_Joystick *joystick)
int | SDL_XINPUT_HapticOpenFromJoystick (SDL_Haptic *haptic, SDL_Joystick *joystick)
void | SDL_XINPUT_HapticClose (SDL_Haptic *haptic)
void | SDL_XINPUT_HapticQuit (void)
int | SDL_XINPUT_HapticNewEffect (SDL_Haptic *haptic, struct haptic_effect *effect, SDL_HapticEffect *base)
int | SDL_XINPUT_HapticUpdateEffect (SDL_Haptic *haptic, struct haptic_effect *effect, SDL_HapticEffect *data)
int | SDL_XINPUT_HapticRunEffect (SDL_Haptic *haptic, struct haptic_effect *effect, Uint32 iterations)
int | SDL_XINPUT_HapticStopEffect (SDL_Haptic *haptic, struct haptic_effect *effect)
void | SDL_XINPUT_HapticDestroyEffect (SDL_Haptic *haptic, struct haptic_effect *effect)
int | SDL_XINPUT_HapticGetEffectStatus (SDL_Haptic *haptic, struct haptic_effect *effect)
int | SDL_XINPUT_HapticSetGain (SDL_Haptic *haptic, int gain)
int | SDL_XINPUT_HapticSetAutocenter (SDL_Haptic *haptic, int autocenter)
int | SDL_XINPUT_HapticPause (SDL_Haptic *haptic)
int | SDL_XINPUT_HapticUnpause (SDL_Haptic *haptic)
int | SDL_XINPUT_HapticStopAll (SDL_Haptic *haptic)

## Function Documentation

void SDL_XINPUT_HapticClose | ( | SDL_Haptic * | haptic | ) |

Definition at line 419 of file SDL_xinputhaptic.c.

{
}

void SDL_XINPUT_HapticDestroyEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect
| ) |  |

Definition at line 453 of file SDL_xinputhaptic.c.

{
}

int SDL_XINPUT_HapticGetEffectStatus | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect
| ) |  |

Definition at line 458 of file SDL_xinputhaptic.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

int SDL_XINPUT_HapticInit | ( | void |  | ) |

Definition at line 383 of file SDL_xinputhaptic.c.

{
return 0;
}

int SDL_XINPUT_HapticNewEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect,
|  | SDL_HapticEffect * | base
| ) |  |

Definition at line 429 of file SDL_xinputhaptic.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

int SDL_XINPUT_HapticOpen | ( | SDL_Haptic * | haptic,
|  | SDL_hapticlist_item * | item
| ) |  |

Definition at line 401 of file SDL_xinputhaptic.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

int SDL_XINPUT_HapticOpenFromJoystick | ( | SDL_Haptic * | haptic,
|  | SDL_Joystick * | joystick
| ) |  |

Definition at line 413 of file SDL_xinputhaptic.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

int SDL_XINPUT_HapticPause | ( | SDL_Haptic * | haptic | ) |

Definition at line 476 of file SDL_xinputhaptic.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

void SDL_XINPUT_HapticQuit | ( | void |  | ) |

Definition at line 424 of file SDL_xinputhaptic.c.

{
}

int SDL_XINPUT_HapticRunEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect,
|  | Uint32 | iterations
| ) |  |

Definition at line 441 of file SDL_xinputhaptic.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

int SDL_XINPUT_HapticSetAutocenter | ( | SDL_Haptic * | haptic,
|  | int | autocenter
| ) |  |

Definition at line 470 of file SDL_xinputhaptic.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

int SDL_XINPUT_HapticSetGain | ( | SDL_Haptic * | haptic,
|  | int | gain
| ) |  |

Definition at line 464 of file SDL_xinputhaptic.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

int SDL_XINPUT_HapticStopAll | ( | SDL_Haptic * | haptic | ) |

Definition at line 488 of file SDL_xinputhaptic.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

int SDL_XINPUT_HapticStopEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect
| ) |  |

Definition at line 447 of file SDL_xinputhaptic.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

int SDL_XINPUT_HapticUnpause | ( | SDL_Haptic * | haptic | ) |

Definition at line 482 of file SDL_xinputhaptic.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

int SDL_XINPUT_HapticUpdateEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect,
|  | SDL_HapticEffect * | data
| ) |  |

Definition at line 435 of file SDL_xinputhaptic.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

int SDL_XINPUT_JoystickSameHaptic | ( | SDL_Haptic * | haptic,
|  | SDL_Joystick * | joystick
| ) |  |

Definition at line 407 of file SDL_xinputhaptic.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

int SDL_XINPUT_MaybeAddDevice | ( | const DWORD | dwUserid | ) |

Definition at line 389 of file SDL_xinputhaptic.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53

int SDL_XINPUT_MaybeRemoveDevice | ( | const DWORD | dwUserid | ) |

Definition at line 395 of file SDL_xinputhaptic.c.

References SDL_Unsupported.

{
return SDL_Unsupported();
}
SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53